cURL
curl -X POST https://api.bizmori.com/api/v2/orders/anti-ai \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"idempotencyKey": "2f4b6c82-8a6e-4f39-9f8a-7d3b5c1e2a40",
"files": [
{"fileName": "image1.jpg"},
{"fileName": "image2.png"}
],
"options": {"strength": "high"}
}'const response = await fetch('https://api.bizmori.com/api/v2/orders/anti-ai', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
idempotencyKey: '2f4b6c82-8a6e-4f39-9f8a-7d3b5c1e2a40',
files: [
{ fileName: 'image1.jpg' },
{ fileName: 'image2.png' }
],
options: { strength: 'high' }
})
});
const data = await response.json();import requests
response = requests.post(
'https://api.bizmori.com/api/v2/orders/anti-ai',
headers={'Authorization': 'Bearer YOUR_API_TOKEN'},
json={
'idempotencyKey': '2f4b6c82-8a6e-4f39-9f8a-7d3b5c1e2a40',
'files': [
{'fileName': 'image1.jpg'},
{'fileName': 'image2.png'}
],
'options': {'strength': 'high'}
}
)
data = response.json()
{
"data": {
"orderName": "anti_ai_2026-02-09",
"orderId": "123456789",
"status": "pending",
"files": [
{
"fileId": 1,
"fileName": "image1.jpg",
"uploadUrl": "https://s3.amazonaws.com/...",
"fileKey": "temp/123456789/0/image1.jpg"
}
]
}
}Anti-AI
Anti-AI注文を作成
AI検知防止処理のための注文を作成します。
入力モード(アップロード / URL / 混合)
入力モードは、各ファイルオブジェクトに originalFileUrl が含まれるかどうかで決定されます:
- アップロードモード(
originalFileUrlなし): プリサインドURLを発行 → クライアントがS3にアップロード →/confirmを呼び出し - URLモード(
originalFileUrlを指定): URLから画像をダウンロードして即座に処理 - 混合モード: 一部のファイルはアップロードモード、残りはURLモードで同時に処理
動作
| 条件 | 注文ステータス | Confirmの必要性 |
|---|---|---|
すべてのファイルに originalFileUrl がある | inProgress | 不要(即座に処理) |
originalFileUrl がないファイルが含まれる | pending | 必要(アップロード後にconfirm) |
Zero Copy モード
mode.zeroCopy: true の場合、処理結果は顧客が提供したプリサインドURLへ直接アップロードされます。
この場合、outputTargets 配列が必須であり、files 配列と同じ長さである必要があります。
POST
/
api
/
v2
/
orders
/
anti-ai
cURL
curl -X POST https://api.bizmori.com/api/v2/orders/anti-ai \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"idempotencyKey": "2f4b6c82-8a6e-4f39-9f8a-7d3b5c1e2a40",
"files": [
{"fileName": "image1.jpg"},
{"fileName": "image2.png"}
],
"options": {"strength": "high"}
}'const response = await fetch('https://api.bizmori.com/api/v2/orders/anti-ai', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
idempotencyKey: '2f4b6c82-8a6e-4f39-9f8a-7d3b5c1e2a40',
files: [
{ fileName: 'image1.jpg' },
{ fileName: 'image2.png' }
],
options: { strength: 'high' }
})
});
const data = await response.json();import requests
response = requests.post(
'https://api.bizmori.com/api/v2/orders/anti-ai',
headers={'Authorization': 'Bearer YOUR_API_TOKEN'},
json={
'idempotencyKey': '2f4b6c82-8a6e-4f39-9f8a-7d3b5c1e2a40',
'files': [
{'fileName': 'image1.jpg'},
{'fileName': 'image2.png'}
],
'options': {'strength': 'high'}
}
)
data = response.json()
{
"data": {
"orderName": "anti_ai_2026-02-09",
"orderId": "123456789",
"status": "pending",
"files": [
{
"fileId": 1,
"fileName": "image1.jpg",
"uploadUrl": "https://s3.amazonaws.com/...",
"fileKey": "temp/123456789/0/image1.jpg"
}
]
}
}承認
外部クライアントアクセス用のBearer APIキー。本番キーは sk_ プレフィックスを使用し、テストキーは sk_test_ プレフィックスを使用して、処理やクレジット消費なしに注文ライフサイクルを検証します。
ボディ
application/json
重複リクエストを防ぐための冪等性キー
注文名(任意、未指定の場合は自動生成)
Maximum string length:
64レスポンス
注文が正常に作成されました
Hide child attributes
Hide child attributes
注文ステータス
pending: アップロードファイルを含む(confirmが必要)inProgress: すべてのファイルがURLモード(即座に処理)
利用可能なオプション:
pending, inProgress ⌘I